## net.sf.saxon.charcode
Class CP1252CharacterSet

    java.lang.Object
      net.sf.saxon.charcode.CP1252CharacterSet

All Implemented Interfaces:
  CharacterSet

    public class CP1252CharacterSet

extends Object
implements CharacterSet

This class defines properties of the CP1252 (Latin 1) character set, as defined at http://www.microsoft.com/globaldev/reference/sbcs/1252.htm.

This file was kindly provided by Sectra AB, Sweden to the DocBook community. Author: Pontus Haglund

Field Summary
`static CP1252CharacterSet` `theInstance`

Method Summary
`static CP1252CharacterSet` `getInstance()`
`boolean` `inCharset(int c)` Determine if a character is present in the character set

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### theInstance

    public static CP1252CharacterSet theInstance

Method Detail

### getInstance

    public static CP1252CharacterSet getInstance()

### inCharset

    public final boolean inCharset(int c)

  Description copied from interface: `CharacterSet`
  Determine if a character is present in the character set

  Specified by:
    `inCharset` in interface `CharacterSet`

Copyright (C) Michael H. Kay. All rights reserved.